> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Decision Engine Flows

> List decision engine flows in the workspace



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /decision-engine/flows
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /decision-engine/flows:
    get:
      summary: List Decision Engine Flows
      description: List decision engine flows in the workspace
      operationId: ListFlows
      parameters:
        - description: optional filter by flow name
          in: query
          name: name
          required: false
          schema:
            type: string
        - description: max results (default 100)
          in: query
          name: limit
          required: false
          schema:
            default: 100
            format: double
            type: number
        - description: pagination offset
          in: query
          name: offset
          required: false
          schema:
            default: 0
            format: double
            type: number
        - description: sort field
          in: query
          name: orderBy
          required: false
          schema:
            default: id
            type: string
            enum:
              - id
              - name
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                anyOf:
                  - properties:
                      hasMore:
                        type: boolean
                      data:
                        items:
                          $ref: '#/components/schemas/DecisionEngineFlow'
                        type: array
                    required:
                      - hasMore
                      - data
                    type: object
                  - $ref: '#/components/schemas/ValidateErrorJSON'
                  - $ref: '#/components/schemas/InternalServerError'
                nullable: true
              examples:
                Example 1:
                  value:
                    data:
                      - id: 550e8400-e29b-41d4-a716-446655440000
                        name: My Flow
                        workspaceId: 1
                        decisionEngineId: 660e8400-e29b-41d4-a716-446655440001
                        audienceId: 100
                        status: active
                    hasMore: false
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - bearerAuth: []
components:
  schemas:
    DecisionEngineFlow:
      description: Decision Engine Flow (Public API)
      properties:
        id:
          type: string
        name:
          type: string
        workspaceId:
          type: number
          format: double
        decisionEngineId:
          type: string
        audienceId:
          type: number
          format: double
        status:
          type: string
        config:
          properties: {}
          additionalProperties: {}
          type: object
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - workspaceId
        - decisionEngineId
        - audienceId
        - status
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
    InternalServerError:
      type: string
      enum:
        - Internal Server Error
      nullable: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````